aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Damien Martin-Guillerez <dmarting@google.com>2016-01-18 12:14:28 +0000
committerGravatar Han-Wen Nienhuys <hanwen@google.com>2016-01-18 14:35:03 +0000
commitec758db4e5ef5e74708cea6751ab50ea492a201e (patch)
tree340fd71270c8efd61a902522fe7936f2881fffcc /scripts
parentdceee0e5feda3bf72a192f4622e741bd41480ecd (diff)
Replaced process-wrapper by a dummy version for bootstrapping
process-wrapper is a C++ tool, replacing by a dummy shell version to reduce the number of C++ compiler calls during the bootstrap process. -- MOS_MIGRATED_REVID=112398152
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap/compile.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/scripts/bootstrap/compile.sh b/scripts/bootstrap/compile.sh
index 33bcd01085..b8ef29a738 100755
--- a/scripts/bootstrap/compile.sh
+++ b/scripts/bootstrap/compile.sh
@@ -337,7 +337,17 @@ EOF
chmod 0755 ${OUTPUT_DIR}/build-runfiles${EXE_EXT}
log "Compiling process-wrapper..."
-run_silent "${CC}" -o ${OUTPUT_DIR}/process-wrapper -std=c99 src/main/tools/process-wrapper.c src/main/tools/process-tools.c -lm ${LDFLAGS}
+cat <<'EOF' >${OUTPUT_DIR}/process-wrapper${EXE_EXT}
+#!/bin/bash
+# Dummy process wrapper, does not support timeout
+shift 2
+stdout="$1"
+stderr="$2"
+shift 2
+
+"$@" 2>"$stderr" >"$stdout"
+exit $?
+EOF
log "Compiling xcode-locator..."
if [[ $PLATFORM == "darwin" ]]; then